SystemOrganization addCategory: #ConfigurationOfExifTool!

Object subclass: #ConfigurationOfExifTool
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfExifTool'!

!ConfigurationOfExifTool class methodsFor: 'development support' stamp: 'FrancoisStephany 11/24/2011 18:09'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfExifTool class methodsFor: 'private' stamp: 'FrancoisStephany 11/24/2011 18:09'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfExifTool class methodsFor: 'private' stamp: 'FrancoisStephany 11/24/2011 18:09'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfExifTool class methodsFor: 'private' stamp: 'FrancoisStephany 11/24/2011 18:09'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfExifTool class methodsFor: 'metacello tool support' stamp: 'FrancoisStephany 11/24/2011 18:09'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfExifTool class methodsFor: 'loading' stamp: 'FrancoisStephany 11/24/2011 18:09'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfExifTool class methodsFor: 'loading' stamp: 'FrancoisStephany 11/24/2011 18:09'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfExifTool class methodsFor: 'loading' stamp: 'FrancoisStephany 11/24/2011 18:09'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfExifTool class methodsFor: 'accessing' stamp: 'FrancoisStephany 11/24/2011 18:09'!
project

	^self new project! !

!ConfigurationOfExifTool class methodsFor: 'development support' stamp: 'FrancoisStephany 11/24/2011 18:09'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfExifTool methodsFor: 'baselines' stamp: 'FrancoisStephany 11/24/2011 21:59'!
baseline01: spec
	<version: '0.1-baseline'>
	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec
			repository: 'http://www.squeaksource.com/JSON';
			package: 'JSON' with: 'JSON-ul.35'.
		spec
			project: 'Grease' with: [ 
				spec
					className: 'ConfigurationOfGrease';
					versionString: #stable;
					file: 'ConfigurationOfGrease';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].
		spec
			project: 'OSProcess' with: [ 
				spec
					className: 'ConfigurationOfOSProcess';
					versionString: '4.4.5';
					file: 'ConfigurationOfOSProcess';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].
		spec 
			repository: 'http://www.squeaksource.com/CommandShell';
			package: 'CommandShell-Base' with: 'CommandShell-Base-dtl.18';
			package: 'CommandShell-Commands' with: 'CommandShell-Commands-dtl.9';
			package: 'CommandShell-Piping' with: 'CommandShell-Piping-dtl.8'.
		spec 
			group: 'CommandShell' with: #('CommandShell-Base' 'CommandShell-Commands' 'CommandShell-Piping').
		spec 
			repository: 'http://www.squeaksource.com/ExifTool';
			package: 'ExifTool-Core' with: [ 
				spec requires: #('Grease' 'JSON' 'OSProcess' 'CommandShell') ]]
! !

!ConfigurationOfExifTool methodsFor: 'accessing' stamp: 'FrancoisStephany 11/24/2011 18:09'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfExifTool methodsFor: 'symbolic versions' stamp: 'FrancoisStephany 11/24/2011 21:25'!
stable: spec
	<symbolicVersion: #'stable'>
	spec for: #'pharo1.3.x' version: '0.1'.
! !

!ConfigurationOfExifTool methodsFor: 'versions' stamp: 'FrancoisStephany 11/28/2011 14:00'!
version01: spec
	<version: '0.1' imports: #('0.1-baseline')>
	spec for: #common do: [
		spec blessing: #release.
		spec
			package: 'ExifTool-Core' with: 'ExifTool-Core-FrancoisStephany.3'.
	]! !
